Support » Plugin: Magic Fields 2 Toolkit » Error on activate

Viewing 7 replies - 1 through 7 (of 7 total)
  • Sorry, it was on php5.3
    On php5.4 work fine.

    Plugin Author Magenta Cuda

    (@magenta-cuda)

    You must have posted as I was writing this reply. I will leave it as it explains exactly what is going wrong.

    Unfortunately, I only started using PHP from March 2012 so PHP 5.4 is the only version I know. PHP 5.4 introduced [ … ] as a shorthand for array( … ). You are probably running PHP 5.3 or earlier. I really misjudged this as I thought since 5.4 is over a year old most people would have upgraded by now. However, you are now the third person to report this problem so I guess 5.3 is still used by many people. In my next version 0.4 I have replaced [ … ] with array( … ) so it should be syntactically compatible with PHP 5.3. However, I only test with PHP 5.4 so basically the code is untested with PHP 5.3. But, it should probably work as syntactically compatible probably means semantically compatible in most cases.

    Please make a plug-in compatibility with version 5.3
    or create separate widget for searching Magic Fields.
    Thanks.

    I also got Error upon activation..

    it says

    Plugin could not be activated because it triggered a fatal error.

    Parse error: syntax error, unexpected T_FUNCTION in /home/../../../wp-content/plugins/magic-fields-2-toolkit/magic-fields-2-toolkit.php on line 41

    Plugin Author Magenta Cuda

    (@magenta-cuda)

    Please tell me the PHP version number. If it is older than 5.3.0 you will get this error. Although I don’t advertise this I have made an effort to be compatible with 5.3 but not anything older. My documentation says 5.4 because almost all of my testing is done on 5.4 but I think it will work on 5.3 but not anything older.

    I got it working now, didn’t notice my PHP is still on Version 5.2

    Thanks

    It’s a shame.

    “Parse error: syntax error, unexpected T_SL in /var/www/vhosts/….org/httpdocs/wp-content/plugins/magic-fields-2-toolkit/magic-fields-2-toolkit.php on line 69”.

    PHP version, 5.2.17

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Error on activate’ is closed to new replies.